// These are the types used in the engine-independent core of the codebase.
// We add aliases for them to prevent namespace clash with Godot types.
global using VVector4 = Vim.Math3d.Vector4;
global using VVector3 = Vim.Math3d.Vector3;
global using VVector2 = Vim.Math3d.Vector2;
global using DVector4 = Vim.Math3d.DVector4;
global using DVector3 = Vim.Math3d.DVector3;
global using DVector2 = Vim.Math3d.DVector2;
global using VQuaternion = Vim.Math3d.Quaternion;
global using VMatrix4x4 = Vim.Math3d.Matrix4x4;
// Also alias System.Numerics types to prevent namespace clash with Godot types.
global using NVector4 = System.Numerics.Vector4;
global using NVector3 = System.Numerics.Vector3;
global using NVector2 = System.Numerics.Vector2;
global using NQuaternion = System.Numerics.Quaternion;
global using NMatrix4x4 = System.Numerics.Matrix4x4;
